DOM::MouseEvent Class Reference

`#include <dom2_events.h>`

Inheritance diagram for DOM::MouseEvent:

## Public Member Functions

| MouseEvent (const MouseEvent &other)
| MouseEvent (const Event &other)
MouseEvent & | operator= (const MouseEvent &other)
MouseEvent & | operator= (const Event &other)
long | screenX () const
long | screenY () const
long | clientX () const
long | clientY () const
bool | ctrlKey () const
bool | shiftKey () const
bool | altKey () const
bool | metaKey () const
unsigned short | button () const
Node | relatedTarget () const
void | initMouseEvent (const DOMString &typeArg, bool canBubbleArg, bool cancelableArg, const AbstractView &viewArg, long detailArg, long screenXArg, long screenYArg, long clientXArg, long clientYArg, bool ctrlKeyArg, bool altKeyArg, bool shiftKeyArg, bool metaKeyArg, unsigned short buttonArg, const Node &relatedTargetArg)
Public Member Functions inherited from DOM::UIEvent
| UIEvent (const UIEvent &other)
| UIEvent (const Event &other)
UIEvent & | operator= (const UIEvent &other)
UIEvent & | operator= (const Event &other)
AbstractView | view () const
long | detail () const
int | keyCode () const
int | charCode () const
int | pageX () const
int | pageY () const
int | layerX () const
int | layerY () const
int | which () const
void | initUIEvent (const DOMString &typeArg, bool canBubbleArg, bool cancelableArg, const AbstractView &viewArg, long detailArg)
Public Member Functions inherited from DOM::Event
| Event (const Event &other)
Event & | operator= (const Event &other)
DOMString | type () const
Node | target () const
Node | currentTarget () const
unsigned short | eventPhase () const
bool | bubbles () const
bool | cancelable () const
DOMTimeStamp | timeStamp () const
void | stopPropagation ()
void | preventDefault ()
void | initEvent (const DOMString &eventTypeArg, bool canBubbleArg, bool cancelableArg)
EventImpl * | handle () const
bool | isNull () const

## Protected Member Functions

| MouseEvent (MouseEventImpl *impl)
Protected Member Functions inherited from DOM::UIEvent
| UIEvent (UIEventImpl *impl)
Protected Member Functions inherited from DOM::Event
| Event (EventImpl *i)

## Additional Inherited Members

Public Types inherited from DOM::Event
enum | PhaseType { CAPTURING_PHASE = 1, AT_TARGET = 2, BUBBLING_PHASE = 3 }
Protected Attributes inherited from DOM::Event
EventImpl * | impl

## Detailed Description

Introduced in DOM Level 2.

The MouseEvent interface provides specific contextual information associated with Mouse events.

The detail attribute inherited from UIEvent indicates the number of times a mouse button has been pressed and released over the same screen location during a user action. The attribute value is 1 when the user begins this action and increments by 1 for each full sequence of pressing and releasing. If the user moves the mouse between the mousedown and mouseup the value will be set to 0, indicating that no click is occurring.

In the case of nested elements mouse events are always targeted at the most deeply nested element. Ancestors of the targeted element may use bubbling to obtain notification of mouse events which occur within its descendent elements.

Definition at line 399 of file dom2_events.h.

## Member Function Documentation

bool MouseEvent::altKey | ( |  | ) | const

Used to indicate whether the 'alt' key was depressed during the firing of the event.

On some platforms this key may map to an alternative key name.

Definition at line 431 of file dom2_events.cpp.

unsigned short MouseEvent::button | ( |  | ) | const

During mouse events caused by the depression or release of a mouse button, button is used to indicate which mouse button changed state.

The values for button range from zero to indicate the left button of the mouse, one to indicate the middle button if present, and two to indicate the right button. For mice configured for left handed use in which the button actions are reversed the values are instead read from right to left.

Definition at line 447 of file dom2_events.cpp.

long MouseEvent::clientX | ( |  | ) | const

The horizontal coordinate at which the event occurred relative to the DOM implementation's client area.

Definition at line 399 of file dom2_events.cpp.

long MouseEvent::clientY | ( |  | ) | const

The vertical coordinate at which the event occurred relative to the DOM implementation's client area.

Definition at line 407 of file dom2_events.cpp.

bool MouseEvent::ctrlKey | ( |  | ) | const

Used to indicate whether the 'ctrl' key was depressed during the firing of the event.

Definition at line 415 of file dom2_events.cpp.

void MouseEvent::initMouseEvent | ( | const DOMString & | typeArg,
|  | bool | canBubbleArg,
|  | bool | cancelableArg,
|  | const AbstractView & | viewArg,
|  | long | detailArg,
|  | long | screenXArg,
|  | long | screenYArg,
|  | long | clientXArg,
|  | long | clientYArg,
|  | bool | ctrlKeyArg,
|  | bool | altKeyArg,
|  | bool | shiftKeyArg,
|  | bool | metaKeyArg,
|  | unsigned short | buttonArg,
|  | const Node & | relatedTargetArg
| ) |  |

The initMouseEvent method is used to initialize the value of a MouseEvent created through the DocumentEvent interface.

This method may only be called before the MouseEvent has been dispatched via the dispatchEvent method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence. Parameters

Parameters

  typeArg | Specifies the event type.
  canBubbleArg | Specifies whether or not the event can bubble.
  cancelableArg | Specifies whether or not the event's default action can be prevented.
  viewArg | Specifies the Event's AbstractView.
  detailArg | Specifies the Event's mouse click count.
  screenXArg | Specifies the Event's screen x coordinate
  screenYArg | Specifies the Event's screen y coordinate
  clientXArg | Specifies the Event's client x coordinate
  clientYArg | Specifies the Event's client y coordinate
  ctrlKeyArg | Specifies whether or not control key was depressed during the Event.
  altKeyArg | Specifies whether or not alt key was depressed during the Event.
  shiftKeyArg | Specifies whether or not shift key was depressed during the Event.
  metaKeyArg | Specifies whether or not meta key was depressed during the Event.
  buttonArg | Specifies the Event's mouse button.
  relatedTargetArg | Specifies the Event's related EventTarget.

Definition at line 463 of file dom2_events.cpp.

bool MouseEvent::metaKey | ( |  | ) | const

Used to indicate whether the 'meta' key was depressed during the firing of the event.

On some platforms this key may map to an alternative key name.

Definition at line 439 of file dom2_events.cpp.

Node MouseEvent::relatedTarget | ( |  | ) | const

Used to identify a secondary EventTarget related to a UI event.

Currently this attribute is used with the mouseover event to indicate the EventTarget which the pointing device exited and with the mouseout event to indicate the EventTarget which the pointing device entered.

Definition at line 455 of file dom2_events.cpp.

long MouseEvent::screenX | ( |  | ) | const

The horizontal coordinate at which the event occurred relative to the origin of the screen coordinate system.

Definition at line 383 of file dom2_events.cpp.

long MouseEvent::screenY | ( |  | ) | const

The vertical coordinate at which the event occurred relative to the origin of the screen coordinate system.

Definition at line 391 of file dom2_events.cpp.

bool MouseEvent::shiftKey | ( |  | ) | const

Used to indicate whether the 'shift' key was depressed during the firing of the event.

Definition at line 423 of file dom2_events.cpp.

The documentation for this class was generated from the following files:

- dom2_events.h
- dom2_events.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys